Package twisted :: Package web :: Module microdom :: Class CharacterData

[show private | hide private]
[frames | no frames]

## Class CharacterData

    Node --+
           |
          CharacterData

Known Subclasses:
  `Text`, `Comment`, `_Attr`, `CDATASection`

Method Summary
| `__init__(self, data, parentNode)`
| `__eq__(self, n)`
| `__hash__(self)` (inherited from `Node`)
| `appendChild(self, child)` (inherited from `Node`)
| `cloneNode(self, deep, parent)` (inherited from `Node`)
| `firstChild(self)` (inherited from `Node`)
| `hasChildNodes(self)` (inherited from `Node`)
| `insertBefore(self, new, ref)` (inherited from `Node`)
| `isEqualToCharacterData(self, n)`
| `isEqualToNode(self, n)` (inherited from `Node`)
| `lastChild(self)` (inherited from `Node`)
| `removeChild(self, child)` (inherited from `Node`)
| `replaceChild(self, newChild, oldChild)` (inherited from `Node`)
| `toprettyxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `toxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `writexml(self, stream, indent, addindent, newl, strip)` (inherited from `Node`)

Generated by Epydoc 1.1 on Thu May 8 13:16:57 2003 | http://epydoc.sf.net